%define	name	griffith
%define	version	0.13
%define	release	%mkrel 3

%define _prefix		/usr
%define _version_art	0.9.4


Summary:	Griffith is a film collection manager application
Summary(de):	Griffith der Film Manager, verwaltet die Sammlung
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Databases
URL:		http://griffith.cc/
Source:		http://download.berlios.de/griffith/%{name}-%{version}.tar.xz
Source1:	http://download.berlios.de/griffith/%{name}-extra-artwork-%{_version_art}.tar.gz
Source2:	validators.py
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
Requires:	python-psycopg2
Requires:	python-chardet
Requires:	python-imaging
Requires:	python-reportlab >= 1.19
Requires:	python-sqlite2
Requires:	python-sqlalchemy
Requires:	pygtk2.0-libglade
Requires:   	glibc >= 2.10.1
Requires:   	libstdc++6 >= 4.4.1
BuildRequires:	docbook-utils
BuildRequires:	python-sqlalchemy
BuildRequires:	python-devel

%description
Griffith is a film collection manager application. Adding items to the movie
collection is as quick and easy as typing the film title and selecting a
supported source. Griffith will then try to fetch all the related information
from the Web.

#german
%description -l de
Griffith verwaltet Ihre DVD-Sammlung und ergänzt wichtige Filminformationen 
aus dem Internet, etwa via IMDb, OFDb und andere Filmdatenbanken. Darüber 
hinaus erzeugt die Software DVD-Cover inklusive Coverart im PDF-Format, um 
auf DVD gebannte TV-Aufnahmen mit einem einfachen ausgedruckten Einleger zu 
versehen.

%prep
%setup -q -n %{name}-%{version} -a 1
mv %{name}-extra-artwork-%{_version_art} extra-artwork

%build

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

rm -f %{buildroot}%{_bindir}/%{name}
(
cd %{buildroot}%{_bindir}
ln -s ../share/%{name}/lib/%{name} .
)

# extra-artwork
(
cd extra-artwork
install -m 644 images/* \
	%{buildroot}%{_datadir}/%{name}/images
for i in AUTHORS ChangeLog COPYING; do
	%__mv $i $i.extra-artwork
done
)

install -dm 755 %{buildroot}%{_datadir}/pixmaps
%__install -m 644 data/%{name}.png \
	%{buildroot}%{_datadir}/pixmaps

install -m 644 data/%{name}.desktop \
	%{buildroot}%{_datadir}/applications

install -m 644 %SOURCE2 \
	%{buildroot}/%{_datadir}/%{name}/lib/db/validators.py

desktop-file-install --vendor="" \
  --remove-category="Applications" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --add-category="X-MandrivaLinux-MoreApplications-Databases" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*


%find_lang %{name}

%clean
%__rm -rf $RPM_BUILD_ROOT
%__rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README INSTALL NEWS TODO
%doc extra-artwork/*.extra-artwork
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*
%{_datadir}/man/man1/griffith.1.*
%{_datadir}/man/*/man1/griffith.1.*
%{_sysconfdir}/bash_completion.d/griffith

%changelog
* Mon Apr 06 2015 pinoc <vogtpet at gmail.com> 0.13-3pclos2015
- Drop obsolete BR python-pyxml

* Sun Aug 25 2013 pinoc <vogtpet at gmail dot com> 0.13-2pclos2013
- rebuild against new python
- added patched validators.py to make Griffith work

* Tue Mar 27 2012 Neal <nealbrks0 at gmail dot com> 0.13-1pclos2012
- process

* Tue Mar 27 2012 leiche <meisssw01 at gmail.com> 0.13-1pclos2012
- 0.13

* Sat Nov 26 2011 leiche <meisssw01 at gmail.com> 0.12.1-1pclos2011
- 0.12.1

* Mon Oct 11 2010 Sproggy <desproggster@gmail.com> 0.12-1pclos2010
- 0.12

* Sun Mar 28 2010 leiche <meisssw01 at aol.com> 0.11-1pclos2010
- 0.11
- fix kmenu entry

* Sun Nov 15 2009 Leiche <MeissSW01@aol.com> 0.10-1pclos2010
- update 0.10

* Thu Jan 08 2009 don_crissti <don_crissti@gmx.com> 0.9.9-1pclos2007
- import griffith

